;FASMLIB includes for NASM and YASM
;can be used for MS-COFF and ELF versions

%define FASMLIB_VERSION_STRING "0.8.0"
%define FASMLIB_VERSION_MAJOR 0
%define FASMLIB_VERSION_MINOR 8
%define FASMLIB_VERSION_REVISION 0

;------------------------------------------------------------
; procedures

extern fasmlib.init
extern fasmlib.uninit
extern fasmlib.shutdown
extern err.text
extern process.exit
extern fileio.open
extern fileio.create
extern fileio.append
extern fileio.seek
extern fileio.tell
extern fileio.size
extern fileio.read
extern fileio.write
extern fileio.close
extern mem.init
extern mem.uninit
extern mem.alloc
extern mem.alloc0
extern mem.free
extern mem.realloc
extern mem.realloc0
extern mem.size
extern mem.fill
extern mem.copy
extern mem.cmp
extern mem.find
extern mem.findb
extern str.copy
extern str.cat
extern str.catchar
extern str.ins
extern str.inschar
extern str.sub
extern str.lowcase
extern str.upcase
extern str.len
extern str.cmp
extern str.cmpi
extern str.pos
extern str.poschar
extern stdstream.init
extern stdstream.uninit
extern stream.create
extern stream.write
extern stream.write.byte
extern stream.write.word
extern stream.write.dword
extern stream.read
extern stream.read.byte
extern stream.peek
extern stream.peek.byte
extern stream.skip
extern stream.seek
extern stream.tell
extern stream.close
extern stdout
extern stdin
extern stderr
extern conv.b_hex
extern conv.w_hex
extern conv.d_hex
extern conv.q_hex
extern conv.b_dec
extern conv.w_dec
extern conv.d_dec
extern conv.q_dec
extern conv.ib_hex
extern conv.iw_hex
extern conv.id_hex
extern conv.iq_hex
extern conv.ib_dec
extern conv.iw_dec
extern conv.id_dec
extern conv.iq_dec
extern conv.hex_b
extern conv.hex_w
extern conv.hex_d
extern conv.hex_q
extern conv.hex_ib
extern conv.hex_iw
extern conv.hex_id
extern conv.hex_iq
extern conv.dec_b
extern conv.dec_w
extern conv.dec_d
extern conv.dec_q
extern conv.dec_ib
extern conv.dec_iw
extern conv.dec_id
extern conv.dec_iq
extern extconv.b_hex
extern extconv.w_hex
extern extconv.d_hex
extern extconv.q_hex
extern extconv.b_dec
extern extconv.w_dec
extern extconv.d_dec
extern extconv.q_dec
extern extconv.ib_hex
extern extconv.iw_hex
extern extconv.id_hex
extern extconv.iq_hex
extern extconv.ib_dec
extern extconv.iw_dec
extern extconv.id_dec
extern extconv.iq_dec
extern extconv.hex_b
extern extconv.hex_w
extern extconv.hex_d
extern extconv.hex_q
extern extconv.hex_ib
extern extconv.hex_iw
extern extconv.hex_id
extern extconv.hex_iq
extern extconv.dec_b
extern extconv.dec_w
extern extconv.dec_d
extern extconv.dec_q
extern extconv.dec_ib
extern extconv.dec_iw
extern extconv.dec_id
extern extconv.dec_iq
extern text.write
extern text.write.char
extern text.write.str
extern text.write.format
extern text.write.hex
extern text.write.b_hex
extern text.write.w_hex
extern text.write.d_hex
extern text.write.q_hex
extern text.write.dec
extern text.write.b_dec
extern text.write.w_dec
extern text.write.d_dec
extern text.write.q_dec
extern text.write.ihex
extern text.write.ib_hex
extern text.write.iw_hex
extern text.write.id_hex
extern text.write.iq_hex
extern text.write.idec
extern text.write.ib_dec
extern text.write.iw_dec
extern text.write.id_dec
extern text.write.iq_dec
extern text.read.char
extern text.read.chars
extern text.read.until
extern text.read.line
extern text.read.hex
extern text.read.hex_b
extern text.read.hex_w
extern text.read.hex_d
extern text.read.hex_q
extern text.read.ihex
extern text.read.hex_ib
extern text.read.hex_iw
extern text.read.hex_id
extern text.read.hex_iq
extern text.read.dec
extern text.read.dec_b
extern text.read.dec_w
extern text.read.dec_d
extern text.read.dec_q
extern text.read.idec
extern text.read.dec_ib
extern text.read.dec_iw
extern text.read.dec_id
extern text.read.dec_iq
extern text.fetch
extern text.fetch.str
extern text.fetch.char
extern text.skip.chars
extern text.skip.until
extern text.extwrite.hex
extern text.extwrite.b_hex
extern text.extwrite.w_hex
extern text.extwrite.d_hex
extern text.extwrite.q_hex
extern text.extwrite.dec
extern text.extwrite.b_dec
extern text.extwrite.w_dec
extern text.extwrite.d_dec
extern text.extwrite.q_dec
extern text.extwrite.ihex
extern text.extwrite.ib_hex
extern text.extwrite.iw_hex
extern text.extwrite.id_hex
extern text.extwrite.iq_hex
extern text.extwrite.idec
extern text.extwrite.ib_dec
extern text.extwrite.iw_dec
extern text.extwrite.id_dec
extern text.extwrite.iq_dec
extern text.extread.chars
extern text.extread.until
extern text.extread.line
extern text.extread.hex
extern text.extread.hex_b
extern text.extread.hex_w
extern text.extread.hex_d
extern text.extread.hex_q
extern text.extread.ihex
extern text.extread.hex_ib
extern text.extread.hex_iw
extern text.extread.hex_id
extern text.extread.hex_iq
extern text.extread.dec
extern text.extread.dec_b
extern text.extread.dec_w
extern text.extread.dec_d
extern text.extread.dec_q
extern text.extread.idec
extern text.extread.dec_ib
extern text.extread.dec_iw
extern text.extread.dec_id
extern text.extread.dec_iq
extern text.extskip.chars
extern text.extskip.until
extern stdout.write
extern stdout.write.char
extern stdout.write.str
extern stdout.write.format
extern stdout.write.hex
extern stdout.write.b_hex
extern stdout.write.w_hex
extern stdout.write.d_hex
extern stdout.write.q_hex
extern stdout.write.dec
extern stdout.write.b_dec
extern stdout.write.w_dec
extern stdout.write.d_dec
extern stdout.write.q_dec
extern stdout.write.ihex
extern stdout.write.ib_hex
extern stdout.write.iw_hex
extern stdout.write.id_hex
extern stdout.write.iq_hex
extern stdout.write.idec
extern stdout.write.ib_dec
extern stdout.write.iw_dec
extern stdout.write.id_dec
extern stdout.write.iq_dec
extern stdout.extwrite.hex
extern stdout.extwrite.b_hex
extern stdout.extwrite.w_hex
extern stdout.extwrite.d_hex
extern stdout.extwrite.q_hex
extern stdout.extwrite.dec
extern stdout.extwrite.b_dec
extern stdout.extwrite.w_dec
extern stdout.extwrite.d_dec
extern stdout.extwrite.q_dec
extern stdout.extwrite.ihex
extern stdout.extwrite.ib_hex
extern stdout.extwrite.iw_hex
extern stdout.extwrite.id_hex
extern stdout.extwrite.iq_hex
extern stdout.extwrite.idec
extern stdout.extwrite.ib_dec
extern stdout.extwrite.iw_dec
extern stdout.extwrite.id_dec
extern stdout.extwrite.iq_dec
extern stderr.write
extern stderr.write.char
extern stderr.write.str
extern stderr.write.format
extern stderr.write.hex
extern stderr.write.b_hex
extern stderr.write.w_hex
extern stderr.write.d_hex
extern stderr.write.q_hex
extern stderr.write.dec
extern stderr.write.b_dec
extern stderr.write.w_dec
extern stderr.write.d_dec
extern stderr.write.q_dec
extern stderr.write.ihex
extern stderr.write.ib_hex
extern stderr.write.iw_hex
extern stderr.write.id_hex
extern stderr.write.iq_hex
extern stderr.write.idec
extern stderr.write.ib_dec
extern stderr.write.iw_dec
extern stderr.write.id_dec
extern stderr.write.iq_dec
extern stderr.extwrite.hex
extern stderr.extwrite.b_hex
extern stderr.extwrite.w_hex
extern stderr.extwrite.d_hex
extern stderr.extwrite.q_hex
extern stderr.extwrite.dec
extern stderr.extwrite.b_dec
extern stderr.extwrite.w_dec
extern stderr.extwrite.d_dec
extern stderr.extwrite.q_dec
extern stderr.extwrite.ihex
extern stderr.extwrite.ib_hex
extern stderr.extwrite.iw_hex
extern stderr.extwrite.id_hex
extern stderr.extwrite.iq_hex
extern stderr.extwrite.idec
extern stderr.extwrite.ib_dec
extern stderr.extwrite.iw_dec
extern stderr.extwrite.id_dec
extern stderr.extwrite.iq_dec
extern stdin.read.char
extern stdin.read.line
extern stdin.read.chars
extern stdin.read.until
extern stdin.read.hex
extern stdin.read.hex_b
extern stdin.read.hex_w
extern stdin.read.hex_d
extern stdin.read.hex_q
extern stdin.read.ihex
extern stdin.read.hex_ib
extern stdin.read.hex_iw
extern stdin.read.hex_id
extern stdin.read.hex_iq
extern stdin.read.dec
extern stdin.read.dec_b
extern stdin.read.dec_w
extern stdin.read.dec_d
extern stdin.read.dec_q
extern stdin.read.idec
extern stdin.read.dec_ib
extern stdin.read.dec_iw
extern stdin.read.dec_id
extern stdin.read.dec_iq
extern stdin.fetch
extern stdin.fetch.str
extern stdin.fetch.char
extern stdin.skip.chars
extern stdin.skip.until
extern stdin.extread.line
extern stdin.extread.chars
extern stdin.extread.until
extern stdin.extread.hex
extern stdin.extread.hex_b
extern stdin.extread.hex_w
extern stdin.extread.hex_d
extern stdin.extread.hex_q
extern stdin.extread.ihex
extern stdin.extread.hex_ib
extern stdin.extread.hex_iw
extern stdin.extread.hex_id
extern stdin.extread.hex_iq
extern stdin.extread.dec
extern stdin.extread.dec_b
extern stdin.extread.dec_w
extern stdin.extread.dec_d
extern stdin.extread.dec_q
extern stdin.extread.idec
extern stdin.extread.dec_ib
extern stdin.extread.dec_iw
extern stdin.extread.dec_id
extern stdin.extread.dec_iq
extern stdin.extskip.chars
extern stdin.extskip.until
extern file.open
extern file.extopen
extern file.create
extern file.extcreate
extern file.append
extern file.extappend
extern file.open.handle
extern file.extopen.handle
extern file.write
extern file.write.byte
extern file.write.word
extern file.write.dword
extern file.read
extern file.read.byte
extern file.peek
extern file.peek.byte
extern file.seek
extern file.tell
extern file.close
extern mstream.create
extern mstream.extcreate


;------------------------------------------------------------
; error codes 

%define ERR_FASMLIB   	0		;Internal FASMLIB assertion failed. This is bug in FASMLIB. Please report
%define ERR_UNKNOWN   	1		;Unknown error
%define ERR_UNSUPPORTED   	2		;(internal) Feature not supported by FASMLIB
%define ERR_MODULE_NOT_INITIALIZED   	3		;(internal) Module not initialized
%define ERR_OUT_OF_MEM   	4		;Out of memory
%define ERR_HEAP_CORRUPT   	5		;(internal) Heap corrupt
%define ERR_MEMORY_LEAK   	6		;(internal) Memory leak
%define ERR_INVALID_POINTER   	7		;(internal) Invalid pointer
%define ERR_NOT_HEXADECIMAL   	8		;Awaiting hexadecimal value
%define ERR_NOT_DECIMAL   	9		;Awaiting decimal value
%define ERR_NOT_FLOAT   	10		;Awaiting floating point value
%define ERR_NOT_BLANK   	11		;Awaiting blank space
%define ERR_OUT_OF_RANGE   	12		;Out of range
%define ERR_FORMAT_STRING   	13		;(internal) Bad format string
%define ERR_ZERO_SIZE   	14		;(internal) Zero size
%define ERR_ZERO_VALUE   	15		;(internal) Zero value
%define ERR_BUFFER_FULL   	16		;(internal) Insufficent buffer space
%define ERR_INVALID_MODE   	17		;(internal) Invalid mode
%define ERR_INVALID_HANDLE   	18		;(internal) Invalid handle
%define ERR_HANDLE_NOT_WRITEABLE   	19		;(internal) Handle not writeable
%define ERR_HANDLE_NOT_READABLE   	20		;(internal) Handle not readable
%define ERR_HANDLE_NOT_PEEKABLE   	21		;(internal) Handle not peekable
%define ERR_HANDLE_NOT_SEEKABLE   	22		;(internal) Handle not seekable
%define ERR_HANDLE_NOT_CLOSEABLE   	23		;(internal) Handle not closeable
%define ERR_HANDLE_NO_BUFFER   	24		;(internal) Handle doesn't have buffer associated
%define ERR_HANDLE_CORRUPT   	25		;(internal) Handle is corrupt
%define ERR_HANDLE_EOF   	26		;End of file reached
%define ERR_NEGATIVE_SEEK   	27		;(internal) Negative seek
%define ERR_FILE_EXISTS   	28		;File already exists
%define ERR_FILE_NOT_FOUND   	29		;File not found
%define ERR_CANT_OPEN_FILE   	30		;Can't open file


;------------------------------------------------------------
; structures

struc STREAM_VTAB
	.sign	resd 1
	.close	resd 1
	.write	resd 1
	.read	resd 1
	.peek	resd 1
	.skip	resd 1
	.tell	resd 1
endstruc

struc STREAM
	.vtab		resd 1
	.wbuf		resd 1
	.wbuf.size	resd 1
	.wbuf.pos	resd 1
	.wbuf.cnt	resd 1
	.rbuf		resd 1
	.rbuf.size	resd 1
	.rbuf.pos	resd 1
	.rbuf.cnt	resd 1
	.rbuf.type	resb 1
	.rbuf.eof	resb 1
	.wbuf.type	resb 1
	.allocated	resb 1
endstruc

struc MSTREAM
	.vtab		resd 1
	.wbuf		resd 1
	.wbuf.size	resd 1
	.wbuf.pos	resd 1
	.wbuf.cnt	resd 1
	.rbuf		resd 1
	.rbuf.size	resd 1
	.rbuf.pos	resd 1
	.rbuf.cnt	resd 1
	.rbuf.type	resb 1
	.rbuf.eof	resb 1
	.wbuf.type	resb 1
	.allocated	resb 1

	.buf		resd 1
	.bufsz		resd 1
	.pos		resq 1
endstruc

struc FSTREAM
	.vtab		resd 1
	.wbuf		resd 1
	.wbuf.size	resd 1
	.wbuf.pos	resd 1
	.wbuf.cnt	resd 1
	.rbuf		resd 1
	.rbuf.size	resd 1
	.rbuf.pos	resd 1
	.rbuf.cnt	resd 1
	.rbuf.type	resb 1
	.rbuf.eof	resb 1
	.wbuf.type	resb 1
	.allocated	resb 1

	.handle 	resd 1
	.mode		resd 1
	.closeh 	resb 1
			resb 3
endstruc
