" this file contains FASMLIB keywords to be used with VIM highlighting


syn keyword fasmlibMacro libcall ifndef idata udata IncludeIData IncludeUData
syn keyword fasmlibMacro disphex disphexb gettimedate proc local
syn keyword fasmlibMacro __pass_error __preprocess_error __assembly_error
syn keyword fasmlibOperator addr taken untaken
syn keyword fasmlibSymbol FASMLIB_VERSION_STRING FASMLIB_VERSION_MAJOR
syn keyword fasmlibSymbol FASMLIB_VERSION_MINOR FASMLIB_VERSION_REVISION
syn keyword fasmlibSymbol ERR_FASMLIB
syn keyword fasmlibSymbol ERR_UNKNOWN
syn keyword fasmlibSymbol ERR_UNSUPPORTED
syn keyword fasmlibSymbol ERR_MODULE_NOT_INITIALIZED
syn keyword fasmlibSymbol ERR_OUT_OF_MEM
syn keyword fasmlibSymbol ERR_HEAP_CORRUPT
syn keyword fasmlibSymbol ERR_MEMORY_LEAK
syn keyword fasmlibSymbol ERR_INVALID_POINTER
syn keyword fasmlibSymbol ERR_NOT_HEXADECIMAL
syn keyword fasmlibSymbol ERR_NOT_DECIMAL
syn keyword fasmlibSymbol ERR_NOT_FLOAT
syn keyword fasmlibSymbol ERR_NOT_BLANK
syn keyword fasmlibSymbol ERR_OUT_OF_RANGE
syn keyword fasmlibSymbol ERR_FORMAT_STRING
syn keyword fasmlibSymbol ERR_ZERO_SIZE
syn keyword fasmlibSymbol ERR_ZERO_VALUE
syn keyword fasmlibSymbol ERR_BUFFER_FULL
syn keyword fasmlibSymbol ERR_INVALID_MODE
syn keyword fasmlibSymbol ERR_INVALID_HANDLE
syn keyword fasmlibSymbol ERR_HANDLE_NOT_WRITEABLE
syn keyword fasmlibSymbol ERR_HANDLE_NOT_READABLE
syn keyword fasmlibSymbol ERR_HANDLE_NOT_PEEKABLE
syn keyword fasmlibSymbol ERR_HANDLE_NOT_SEEKABLE
syn keyword fasmlibSymbol ERR_HANDLE_NOT_CLOSEABLE
syn keyword fasmlibSymbol ERR_HANDLE_NO_BUFFER
syn keyword fasmlibSymbol ERR_HANDLE_CORRUPT
syn keyword fasmlibSymbol ERR_HANDLE_EOF
syn keyword fasmlibSymbol ERR_NEGATIVE_SEEK
syn keyword fasmlibSymbol ERR_FILE_EXISTS
syn keyword fasmlibSymbol ERR_FILE_NOT_FOUND
syn keyword fasmlibSymbol ERR_CANT_OPEN_FILE
syn keyword fasmlibProc fasmlib.init
syn keyword fasmlibProc fasmlib.uninit
syn keyword fasmlibProc fasmlib.shutdown
syn keyword fasmlibProc err.text
syn keyword fasmlibProc process.exit
syn keyword fasmlibProc fileio.open
syn keyword fasmlibProc fileio.create
syn keyword fasmlibProc fileio.append
syn keyword fasmlibProc fileio.seek
syn keyword fasmlibProc fileio.tell
syn keyword fasmlibProc fileio.size
syn keyword fasmlibProc fileio.read
syn keyword fasmlibProc fileio.write
syn keyword fasmlibProc fileio.close
syn keyword fasmlibProc mem.init
syn keyword fasmlibProc mem.uninit
syn keyword fasmlibProc mem.alloc
syn keyword fasmlibProc mem.alloc0
syn keyword fasmlibProc mem.free
syn keyword fasmlibProc mem.realloc
syn keyword fasmlibProc mem.realloc0
syn keyword fasmlibProc mem.size
syn keyword fasmlibProc mem.fill
syn keyword fasmlibProc mem.copy
syn keyword fasmlibProc mem.cmp
syn keyword fasmlibProc mem.find
syn keyword fasmlibProc mem.findb
syn keyword fasmlibProc str.copy
syn keyword fasmlibProc str.cat
syn keyword fasmlibProc str.catchar
syn keyword fasmlibProc str.ins
syn keyword fasmlibProc str.inschar
syn keyword fasmlibProc str.sub
syn keyword fasmlibProc str.lowcase
syn keyword fasmlibProc str.upcase
syn keyword fasmlibProc str.len
syn keyword fasmlibProc str.cmp
syn keyword fasmlibProc str.cmpi
syn keyword fasmlibProc str.pos
syn keyword fasmlibProc str.poschar
syn keyword fasmlibProc stdstream.init
syn keyword fasmlibProc stdstream.uninit
syn keyword fasmlibProc stream.create
syn keyword fasmlibProc stream.write
syn keyword fasmlibProc stream.write.byte
syn keyword fasmlibProc stream.write.word
syn keyword fasmlibProc stream.write.dword
syn keyword fasmlibProc stream.read
syn keyword fasmlibProc stream.read.byte
syn keyword fasmlibProc stream.peek
syn keyword fasmlibProc stream.peek.byte
syn keyword fasmlibProc stream.skip
syn keyword fasmlibProc stream.seek
syn keyword fasmlibProc stream.tell
syn keyword fasmlibProc stream.close
syn keyword fasmlibData stdout
syn keyword fasmlibData stdin
syn keyword fasmlibData stderr
syn keyword fasmlibProc conv.b_hex
syn keyword fasmlibProc conv.w_hex
syn keyword fasmlibProc conv.d_hex
syn keyword fasmlibProc conv.q_hex
syn keyword fasmlibProc conv.b_dec
syn keyword fasmlibProc conv.w_dec
syn keyword fasmlibProc conv.d_dec
syn keyword fasmlibProc conv.q_dec
syn keyword fasmlibProc conv.ib_hex
syn keyword fasmlibProc conv.iw_hex
syn keyword fasmlibProc conv.id_hex
syn keyword fasmlibProc conv.iq_hex
syn keyword fasmlibProc conv.ib_dec
syn keyword fasmlibProc conv.iw_dec
syn keyword fasmlibProc conv.id_dec
syn keyword fasmlibProc conv.iq_dec
syn keyword fasmlibProc conv.hex_b
syn keyword fasmlibProc conv.hex_w
syn keyword fasmlibProc conv.hex_d
syn keyword fasmlibProc conv.hex_q
syn keyword fasmlibProc conv.hex_ib
syn keyword fasmlibProc conv.hex_iw
syn keyword fasmlibProc conv.hex_id
syn keyword fasmlibProc conv.hex_iq
syn keyword fasmlibProc conv.dec_b
syn keyword fasmlibProc conv.dec_w
syn keyword fasmlibProc conv.dec_d
syn keyword fasmlibProc conv.dec_q
syn keyword fasmlibProc conv.dec_ib
syn keyword fasmlibProc conv.dec_iw
syn keyword fasmlibProc conv.dec_id
syn keyword fasmlibProc conv.dec_iq
syn keyword fasmlibProc extconv.b_hex
syn keyword fasmlibProc extconv.w_hex
syn keyword fasmlibProc extconv.d_hex
syn keyword fasmlibProc extconv.q_hex
syn keyword fasmlibProc extconv.b_dec
syn keyword fasmlibProc extconv.w_dec
syn keyword fasmlibProc extconv.d_dec
syn keyword fasmlibProc extconv.q_dec
syn keyword fasmlibProc extconv.ib_hex
syn keyword fasmlibProc extconv.iw_hex
syn keyword fasmlibProc extconv.id_hex
syn keyword fasmlibProc extconv.iq_hex
syn keyword fasmlibProc extconv.ib_dec
syn keyword fasmlibProc extconv.iw_dec
syn keyword fasmlibProc extconv.id_dec
syn keyword fasmlibProc extconv.iq_dec
syn keyword fasmlibProc extconv.hex_b
syn keyword fasmlibProc extconv.hex_w
syn keyword fasmlibProc extconv.hex_d
syn keyword fasmlibProc extconv.hex_q
syn keyword fasmlibProc extconv.hex_ib
syn keyword fasmlibProc extconv.hex_iw
syn keyword fasmlibProc extconv.hex_id
syn keyword fasmlibProc extconv.hex_iq
syn keyword fasmlibProc extconv.dec_b
syn keyword fasmlibProc extconv.dec_w
syn keyword fasmlibProc extconv.dec_d
syn keyword fasmlibProc extconv.dec_q
syn keyword fasmlibProc extconv.dec_ib
syn keyword fasmlibProc extconv.dec_iw
syn keyword fasmlibProc extconv.dec_id
syn keyword fasmlibProc extconv.dec_iq
syn keyword fasmlibProc text.write
syn keyword fasmlibProc text.write.char
syn keyword fasmlibProc text.write.str
syn keyword fasmlibProc text.write.format
syn keyword fasmlibProc text.write.hex
syn keyword fasmlibProc text.write.b_hex
syn keyword fasmlibProc text.write.w_hex
syn keyword fasmlibProc text.write.d_hex
syn keyword fasmlibProc text.write.q_hex
syn keyword fasmlibProc text.write.dec
syn keyword fasmlibProc text.write.b_dec
syn keyword fasmlibProc text.write.w_dec
syn keyword fasmlibProc text.write.d_dec
syn keyword fasmlibProc text.write.q_dec
syn keyword fasmlibProc text.write.ihex
syn keyword fasmlibProc text.write.ib_hex
syn keyword fasmlibProc text.write.iw_hex
syn keyword fasmlibProc text.write.id_hex
syn keyword fasmlibProc text.write.iq_hex
syn keyword fasmlibProc text.write.idec
syn keyword fasmlibProc text.write.ib_dec
syn keyword fasmlibProc text.write.iw_dec
syn keyword fasmlibProc text.write.id_dec
syn keyword fasmlibProc text.write.iq_dec
syn keyword fasmlibProc text.read.char
syn keyword fasmlibProc text.read.chars
syn keyword fasmlibProc text.read.until
syn keyword fasmlibProc text.read.line
syn keyword fasmlibProc text.read.hex
syn keyword fasmlibProc text.read.hex_b
syn keyword fasmlibProc text.read.hex_w
syn keyword fasmlibProc text.read.hex_d
syn keyword fasmlibProc text.read.hex_q
syn keyword fasmlibProc text.read.ihex
syn keyword fasmlibProc text.read.hex_ib
syn keyword fasmlibProc text.read.hex_iw
syn keyword fasmlibProc text.read.hex_id
syn keyword fasmlibProc text.read.hex_iq
syn keyword fasmlibProc text.read.dec
syn keyword fasmlibProc text.read.dec_b
syn keyword fasmlibProc text.read.dec_w
syn keyword fasmlibProc text.read.dec_d
syn keyword fasmlibProc text.read.dec_q
syn keyword fasmlibProc text.read.idec
syn keyword fasmlibProc text.read.dec_ib
syn keyword fasmlibProc text.read.dec_iw
syn keyword fasmlibProc text.read.dec_id
syn keyword fasmlibProc text.read.dec_iq
syn keyword fasmlibProc text.fetch
syn keyword fasmlibProc text.fetch.str
syn keyword fasmlibProc text.fetch.char
syn keyword fasmlibProc text.skip.chars
syn keyword fasmlibProc text.skip.until
syn keyword fasmlibProc text.extwrite.hex
syn keyword fasmlibProc text.extwrite.b_hex
syn keyword fasmlibProc text.extwrite.w_hex
syn keyword fasmlibProc text.extwrite.d_hex
syn keyword fasmlibProc text.extwrite.q_hex
syn keyword fasmlibProc text.extwrite.dec
syn keyword fasmlibProc text.extwrite.b_dec
syn keyword fasmlibProc text.extwrite.w_dec
syn keyword fasmlibProc text.extwrite.d_dec
syn keyword fasmlibProc text.extwrite.q_dec
syn keyword fasmlibProc text.extwrite.ihex
syn keyword fasmlibProc text.extwrite.ib_hex
syn keyword fasmlibProc text.extwrite.iw_hex
syn keyword fasmlibProc text.extwrite.id_hex
syn keyword fasmlibProc text.extwrite.iq_hex
syn keyword fasmlibProc text.extwrite.idec
syn keyword fasmlibProc text.extwrite.ib_dec
syn keyword fasmlibProc text.extwrite.iw_dec
syn keyword fasmlibProc text.extwrite.id_dec
syn keyword fasmlibProc text.extwrite.iq_dec
syn keyword fasmlibProc text.extread.chars
syn keyword fasmlibProc text.extread.until
syn keyword fasmlibProc text.extread.line
syn keyword fasmlibProc text.extread.hex
syn keyword fasmlibProc text.extread.hex_b
syn keyword fasmlibProc text.extread.hex_w
syn keyword fasmlibProc text.extread.hex_d
syn keyword fasmlibProc text.extread.hex_q
syn keyword fasmlibProc text.extread.ihex
syn keyword fasmlibProc text.extread.hex_ib
syn keyword fasmlibProc text.extread.hex_iw
syn keyword fasmlibProc text.extread.hex_id
syn keyword fasmlibProc text.extread.hex_iq
syn keyword fasmlibProc text.extread.dec
syn keyword fasmlibProc text.extread.dec_b
syn keyword fasmlibProc text.extread.dec_w
syn keyword fasmlibProc text.extread.dec_d
syn keyword fasmlibProc text.extread.dec_q
syn keyword fasmlibProc text.extread.idec
syn keyword fasmlibProc text.extread.dec_ib
syn keyword fasmlibProc text.extread.dec_iw
syn keyword fasmlibProc text.extread.dec_id
syn keyword fasmlibProc text.extread.dec_iq
syn keyword fasmlibProc text.extskip.chars
syn keyword fasmlibProc text.extskip.until
syn keyword fasmlibProc stdout.write
syn keyword fasmlibProc stdout.write.char
syn keyword fasmlibProc stdout.write.str
syn keyword fasmlibProc stdout.write.format
syn keyword fasmlibProc stdout.write.hex
syn keyword fasmlibProc stdout.write.b_hex
syn keyword fasmlibProc stdout.write.w_hex
syn keyword fasmlibProc stdout.write.d_hex
syn keyword fasmlibProc stdout.write.q_hex
syn keyword fasmlibProc stdout.write.dec
syn keyword fasmlibProc stdout.write.b_dec
syn keyword fasmlibProc stdout.write.w_dec
syn keyword fasmlibProc stdout.write.d_dec
syn keyword fasmlibProc stdout.write.q_dec
syn keyword fasmlibProc stdout.write.ihex
syn keyword fasmlibProc stdout.write.ib_hex
syn keyword fasmlibProc stdout.write.iw_hex
syn keyword fasmlibProc stdout.write.id_hex
syn keyword fasmlibProc stdout.write.iq_hex
syn keyword fasmlibProc stdout.write.idec
syn keyword fasmlibProc stdout.write.ib_dec
syn keyword fasmlibProc stdout.write.iw_dec
syn keyword fasmlibProc stdout.write.id_dec
syn keyword fasmlibProc stdout.write.iq_dec
syn keyword fasmlibProc stdout.extwrite.hex
syn keyword fasmlibProc stdout.extwrite.b_hex
syn keyword fasmlibProc stdout.extwrite.w_hex
syn keyword fasmlibProc stdout.extwrite.d_hex
syn keyword fasmlibProc stdout.extwrite.q_hex
syn keyword fasmlibProc stdout.extwrite.dec
syn keyword fasmlibProc stdout.extwrite.b_dec
syn keyword fasmlibProc stdout.extwrite.w_dec
syn keyword fasmlibProc stdout.extwrite.d_dec
syn keyword fasmlibProc stdout.extwrite.q_dec
syn keyword fasmlibProc stdout.extwrite.ihex
syn keyword fasmlibProc stdout.extwrite.ib_hex
syn keyword fasmlibProc stdout.extwrite.iw_hex
syn keyword fasmlibProc stdout.extwrite.id_hex
syn keyword fasmlibProc stdout.extwrite.iq_hex
syn keyword fasmlibProc stdout.extwrite.idec
syn keyword fasmlibProc stdout.extwrite.ib_dec
syn keyword fasmlibProc stdout.extwrite.iw_dec
syn keyword fasmlibProc stdout.extwrite.id_dec
syn keyword fasmlibProc stdout.extwrite.iq_dec
syn keyword fasmlibProc stderr.write
syn keyword fasmlibProc stderr.write.char
syn keyword fasmlibProc stderr.write.str
syn keyword fasmlibProc stderr.write.format
syn keyword fasmlibProc stderr.write.hex
syn keyword fasmlibProc stderr.write.b_hex
syn keyword fasmlibProc stderr.write.w_hex
syn keyword fasmlibProc stderr.write.d_hex
syn keyword fasmlibProc stderr.write.q_hex
syn keyword fasmlibProc stderr.write.dec
syn keyword fasmlibProc stderr.write.b_dec
syn keyword fasmlibProc stderr.write.w_dec
syn keyword fasmlibProc stderr.write.d_dec
syn keyword fasmlibProc stderr.write.q_dec
syn keyword fasmlibProc stderr.write.ihex
syn keyword fasmlibProc stderr.write.ib_hex
syn keyword fasmlibProc stderr.write.iw_hex
syn keyword fasmlibProc stderr.write.id_hex
syn keyword fasmlibProc stderr.write.iq_hex
syn keyword fasmlibProc stderr.write.idec
syn keyword fasmlibProc stderr.write.ib_dec
syn keyword fasmlibProc stderr.write.iw_dec
syn keyword fasmlibProc stderr.write.id_dec
syn keyword fasmlibProc stderr.write.iq_dec
syn keyword fasmlibProc stderr.extwrite.hex
syn keyword fasmlibProc stderr.extwrite.b_hex
syn keyword fasmlibProc stderr.extwrite.w_hex
syn keyword fasmlibProc stderr.extwrite.d_hex
syn keyword fasmlibProc stderr.extwrite.q_hex
syn keyword fasmlibProc stderr.extwrite.dec
syn keyword fasmlibProc stderr.extwrite.b_dec
syn keyword fasmlibProc stderr.extwrite.w_dec
syn keyword fasmlibProc stderr.extwrite.d_dec
syn keyword fasmlibProc stderr.extwrite.q_dec
syn keyword fasmlibProc stderr.extwrite.ihex
syn keyword fasmlibProc stderr.extwrite.ib_hex
syn keyword fasmlibProc stderr.extwrite.iw_hex
syn keyword fasmlibProc stderr.extwrite.id_hex
syn keyword fasmlibProc stderr.extwrite.iq_hex
syn keyword fasmlibProc stderr.extwrite.idec
syn keyword fasmlibProc stderr.extwrite.ib_dec
syn keyword fasmlibProc stderr.extwrite.iw_dec
syn keyword fasmlibProc stderr.extwrite.id_dec
syn keyword fasmlibProc stderr.extwrite.iq_dec
syn keyword fasmlibProc stdin.read.char
syn keyword fasmlibProc stdin.read.line
syn keyword fasmlibProc stdin.read.chars
syn keyword fasmlibProc stdin.read.until
syn keyword fasmlibProc stdin.read.hex
syn keyword fasmlibProc stdin.read.hex_b
syn keyword fasmlibProc stdin.read.hex_w
syn keyword fasmlibProc stdin.read.hex_d
syn keyword fasmlibProc stdin.read.hex_q
syn keyword fasmlibProc stdin.read.ihex
syn keyword fasmlibProc stdin.read.hex_ib
syn keyword fasmlibProc stdin.read.hex_iw
syn keyword fasmlibProc stdin.read.hex_id
syn keyword fasmlibProc stdin.read.hex_iq
syn keyword fasmlibProc stdin.read.dec
syn keyword fasmlibProc stdin.read.dec_b
syn keyword fasmlibProc stdin.read.dec_w
syn keyword fasmlibProc stdin.read.dec_d
syn keyword fasmlibProc stdin.read.dec_q
syn keyword fasmlibProc stdin.read.idec
syn keyword fasmlibProc stdin.read.dec_ib
syn keyword fasmlibProc stdin.read.dec_iw
syn keyword fasmlibProc stdin.read.dec_id
syn keyword fasmlibProc stdin.read.dec_iq
syn keyword fasmlibProc stdin.fetch
syn keyword fasmlibProc stdin.fetch.str
syn keyword fasmlibProc stdin.fetch.char
syn keyword fasmlibProc stdin.skip.chars
syn keyword fasmlibProc stdin.skip.until
syn keyword fasmlibProc stdin.extread.line
syn keyword fasmlibProc stdin.extread.chars
syn keyword fasmlibProc stdin.extread.until
syn keyword fasmlibProc stdin.extread.hex
syn keyword fasmlibProc stdin.extread.hex_b
syn keyword fasmlibProc stdin.extread.hex_w
syn keyword fasmlibProc stdin.extread.hex_d
syn keyword fasmlibProc stdin.extread.hex_q
syn keyword fasmlibProc stdin.extread.ihex
syn keyword fasmlibProc stdin.extread.hex_ib
syn keyword fasmlibProc stdin.extread.hex_iw
syn keyword fasmlibProc stdin.extread.hex_id
syn keyword fasmlibProc stdin.extread.hex_iq
syn keyword fasmlibProc stdin.extread.dec
syn keyword fasmlibProc stdin.extread.dec_b
syn keyword fasmlibProc stdin.extread.dec_w
syn keyword fasmlibProc stdin.extread.dec_d
syn keyword fasmlibProc stdin.extread.dec_q
syn keyword fasmlibProc stdin.extread.idec
syn keyword fasmlibProc stdin.extread.dec_ib
syn keyword fasmlibProc stdin.extread.dec_iw
syn keyword fasmlibProc stdin.extread.dec_id
syn keyword fasmlibProc stdin.extread.dec_iq
syn keyword fasmlibProc stdin.extskip.chars
syn keyword fasmlibProc stdin.extskip.until
syn keyword fasmlibProc file.open
syn keyword fasmlibProc file.extopen
syn keyword fasmlibProc file.create
syn keyword fasmlibProc file.extcreate
syn keyword fasmlibProc file.append
syn keyword fasmlibProc file.extappend
syn keyword fasmlibProc file.open.handle
syn keyword fasmlibProc file.extopen.handle
syn keyword fasmlibProc file.write
syn keyword fasmlibProc file.write.byte
syn keyword fasmlibProc file.write.word
syn keyword fasmlibProc file.write.dword
syn keyword fasmlibProc file.read
syn keyword fasmlibProc file.read.byte
syn keyword fasmlibProc file.peek
syn keyword fasmlibProc file.peek.byte
syn keyword fasmlibProc file.seek
syn keyword fasmlibProc file.tell
syn keyword fasmlibProc file.close
syn keyword fasmlibProc mstream.create
syn keyword fasmlibProc mstream.extcreate
