;predefined error codes
errtable \
ERR_FASMLIB			, "Internal FASMLIB assertion failed. This is bug in FASMLIB. Please report",\
ERR_UNKNOWN			, "Unknown error",\
ERR_UNSUPPORTED 		, "(internal) Feature not supported by FASMLIB",\
ERR_MODULE_NOT_INITIALIZED	, "(internal) Module not initialized",\
\
ERR_OUT_OF_MEM			, "Out of memory",\
ERR_HEAP_CORRUPT		, "(internal) Heap corrupt",\
ERR_MEMORY_LEAK 		, "(internal) Memory leak",\
ERR_INVALID_POINTER		, "(internal) Invalid pointer",\
\
ERR_NOT_HEXADECIMAL		, "Awaiting hexadecimal value",\
ERR_NOT_DECIMAL 		, "Awaiting decimal value",\
ERR_NOT_FLOAT			, "Awaiting floating point value",\
ERR_NOT_BLANK			, "Awaiting blank space",\
ERR_OUT_OF_RANGE		, "Out of range",\
ERR_FORMAT_STRING		, "(internal) Bad format string",\
ERR_ZERO_SIZE			, "(internal) Zero size",\
ERR_ZERO_VALUE			, "(internal) Zero value",\
ERR_BUFFER_FULL 		, "(internal) Insufficent buffer space",\
ERR_INVALID_MODE		, "(internal) Invalid mode",\
\
ERR_INVALID_HANDLE		, "(internal) Invalid handle",\
ERR_HANDLE_NOT_WRITEABLE	, "(internal) Handle not writeable",\
ERR_HANDLE_NOT_READABLE 	, "(internal) Handle not readable",\
ERR_HANDLE_NOT_PEEKABLE 	, "(internal) Handle not peekable",\
ERR_HANDLE_NOT_SEEKABLE 	, "(internal) Handle not seekable",\
ERR_HANDLE_NOT_CLOSEABLE	, "(internal) Handle not closeable",\
ERR_HANDLE_NO_BUFFER		, "(internal) Handle doesn't have buffer associated",\
ERR_HANDLE_CORRUPT		, "(internal) Handle is corrupt",\
ERR_HANDLE_EOF			, "End of file reached",\
\
ERR_NEGATIVE_SEEK		, "(internal) Negative seek",\
ERR_FILE_EXISTS 		, "File already exists",\
ERR_FILE_NOT_FOUND		, "File not found",\
ERR_CANT_OPEN_FILE		, "Can't open file"

purge errtable