;;@name fasmlib.shutdown
;;@desc
;;    Uninitializes all modules in FASMLIB.
;;    In current version, it calls {mem.uninit} and {stdstream.uninit}.
;;    Procedure is meant to be used in error handlers only: it tries to uninitialize as much as
;;    possible, even if some error hapens. Use {fasmlib.uninit} for normal uninitialization.
proc fasmlib.shutdown
	libcall stdstream.uninit
	libcall mem.uninit
	ret
endp