;; @name mstream._tell
;; @desc
;;    This is {stream tell method:tell method} of {fstream:file stream}.
;;    Don't call this procedure directly, use {file.tell} instead.
;; @arg stream
;;    Handle of stream.
;; @ret
;;    CF set on error, otherwise
;;    EDX:EAX = new position in file
proc mstream._tell stream
	push	ebx

	mov	ebx, [stream]
	mov	eax, dword [ebx + MSTREAM.pos]
	mov	edx, dword [ebx + MSTREAM.pos+4]

.rnc:	clc
.r:	pop	ebx
	ret
.rc:	stc
	jmp	.r
endp