;FASMLIB
;stream routines for working with text

include 'text/write.inc'
include 'text/write_char.inc'
include 'text/write_str.inc'
include 'text/write_format.inc'
include 'text/write_hex.inc'
include 'text/write_b_hex.inc'
include 'text/write_w_hex.inc'
include 'text/write_d_hex.inc'
include 'text/write_q_hex.inc'
include 'text/write_dec.inc'
include 'text/write_b_dec.inc'
include 'text/write_w_dec.inc'
include 'text/write_d_dec.inc'
include 'text/write_q_dec.inc'
include 'text/write_ihex.inc'
include 'text/write_ib_hex.inc'
include 'text/write_iw_hex.inc'
include 'text/write_id_hex.inc'
include 'text/write_iq_hex.inc'
include 'text/write_idec.inc'
include 'text/write_ib_dec.inc'
include 'text/write_iw_dec.inc'
include 'text/write_id_dec.inc'
include 'text/write_iq_dec.inc'
include 'text/ext_write_hex.inc'
include 'text/ext_write_b_hex.inc'
include 'text/ext_write_w_hex.inc'
include 'text/ext_write_d_hex.inc'
include 'text/ext_write_q_hex.inc'
include 'text/ext_write_dec.inc'
include 'text/ext_write_b_dec.inc'
include 'text/ext_write_w_dec.inc'
include 'text/ext_write_d_dec.inc'
include 'text/ext_write_q_dec.inc'
include 'text/ext_write_ihex.inc'
include 'text/ext_write_ib_hex.inc'
include 'text/ext_write_iw_hex.inc'
include 'text/ext_write_id_hex.inc'
include 'text/ext_write_iq_hex.inc'
include 'text/ext_write_idec.inc'
include 'text/ext_write_ib_dec.inc'
include 'text/ext_write_iw_dec.inc'
include 'text/ext_write_id_dec.inc'
include 'text/ext_write_iq_dec.inc'

include 'text/read_char.inc'
include 'text/read_chars.inc'
include 'text/read_until.inc'
include 'text/read_line.inc'
include 'text/read_hex.inc'
include 'text/read_hex_b.inc'
include 'text/read_hex_w.inc'
include 'text/read_hex_d.inc'
include 'text/read_hex_q.inc'
include 'text/read_ihex.inc'
include 'text/read_hex_ib.inc'
include 'text/read_hex_iw.inc'
include 'text/read_hex_id.inc'
include 'text/read_hex_iq.inc'
include 'text/read_dec.inc'
include 'text/read_dec_b.inc'
include 'text/read_dec_w.inc'
include 'text/read_dec_d.inc'
include 'text/read_dec_q.inc'
include 'text/read_idec.inc'
include 'text/read_dec_ib.inc'
include 'text/read_dec_iw.inc'
include 'text/read_dec_id.inc'
include 'text/read_dec_iq.inc'
include 'text/ext_read_chars.inc'
include 'text/ext_read_until.inc'
include 'text/ext_read_line.inc'
include 'text/ext_read_hex.inc'
include 'text/ext_read_hex_b.inc'
include 'text/ext_read_hex_w.inc'
include 'text/ext_read_hex_d.inc'
include 'text/ext_read_hex_q.inc'
include 'text/ext_read_ihex.inc'
include 'text/ext_read_hex_ib.inc'
include 'text/ext_read_hex_iw.inc'
include 'text/ext_read_hex_id.inc'
include 'text/ext_read_hex_iq.inc'
include 'text/ext_read_dec.inc'
include 'text/ext_read_dec_b.inc'
include 'text/ext_read_dec_w.inc'
include 'text/ext_read_dec_d.inc'
include 'text/ext_read_dec_q.inc'
include 'text/ext_read_idec.inc'
include 'text/ext_read_dec_ib.inc'
include 'text/ext_read_dec_iw.inc'
include 'text/ext_read_dec_id.inc'
include 'text/ext_read_dec_iq.inc'

include 'text/fetch.inc'
include 'text/fetch_str.inc'
include 'text/fetch_char.inc'
include 'text/skip_chars.inc'
include 'text/skip_until.inc'
include 'text/ext_skip_chars.inc'
include 'text/ext_skip_until.inc'

;internal
include 'text/_bleol_chars.inc'
include 'text/_read_hex2d.inc'
include 'text/_read_hex2id.inc'
include 'text/_read_dec2d.inc'
include 'text/_read_dec2id.inc'
