; see "src\_win32\fileio\tell.inc" for documentation
proc fileio.tell handle
local position:QWORD
	push	ebx ecx esi edi

	mov	edi, 0
	lea	esi, [position]
	mov	edx, 0
	mov	ecx, 0
	mov	ebx, [handle]
	mov	eax, 140	;sys_llseek
	int	80h
	cmp	eax, -4096
	ja	.error_seek

	mov	eax, dword [position]
	mov	edx, dword [position+4]

.rnc:	clc
.r:	pop	edi esi ecx ebx
	ret
.rc:	stc
	jmp	.r

.error_seek:
	;catch out-of-bounds
	cmp	eax, -22; EINVAL
	jne	@f
	mov	eax, ERR_OUT_OF_RANGE
	jmp	.rc
@@:

	;catch invalid-handle
	cmp	eax, -9; EBADF
	jne	@f
	mov	eax, ERR_INVALID_HANDLE
	jmp	.rc
@@:

	mov	eax, ERR_UNKNOWN
	jmp	.rc
endp