;FASMLIB
;Conversion library

;include 'conv/_qfp_div.inc'
;include 'conv/_qfp_mul.inc'
;include 'conv/fp_t.inc'

;simple

include 'conv/b_hex.inc'
include 'conv/w_hex.inc'
include 'conv/d_hex.inc'
include 'conv/q_hex.inc'
include 'conv/b_dec.inc'
include 'conv/w_dec.inc'
include 'conv/d_dec.inc'
include 'conv/q_dec.inc'

include 'conv/ib_hex.inc'
include 'conv/iw_hex.inc'
include 'conv/id_hex.inc'
include 'conv/iq_hex.inc'
include 'conv/ib_dec.inc'
include 'conv/iw_dec.inc'
include 'conv/id_dec.inc'
include 'conv/iq_dec.inc'

include 'conv/hex_b.inc'
include 'conv/hex_w.inc'
include 'conv/hex_d.inc'
include 'conv/hex_q.inc'
include 'conv/dec_b.inc'
include 'conv/dec_w.inc'
include 'conv/dec_d.inc'
include 'conv/dec_q.inc'

include 'conv/hex_ib.inc'
include 'conv/hex_iw.inc'
include 'conv/hex_id.inc'
include 'conv/hex_iq.inc'
include 'conv/dec_ib.inc'
include 'conv/dec_iw.inc'
include 'conv/dec_id.inc'
include 'conv/dec_iq.inc'

;extended

include 'conv/ext_b_hex.inc'
include 'conv/ext_w_hex.inc'
include 'conv/ext_d_hex.inc'
include 'conv/ext_q_hex.inc'
include 'conv/ext_b_dec.inc'
include 'conv/ext_w_dec.inc'
include 'conv/ext_d_dec.inc'
include 'conv/ext_q_dec.inc'

include 'conv/ext_ib_hex.inc'
include 'conv/ext_iw_hex.inc'
include 'conv/ext_id_hex.inc'
include 'conv/ext_iq_hex.inc'
include 'conv/ext_ib_dec.inc'
include 'conv/ext_iw_dec.inc'
include 'conv/ext_id_dec.inc'
include 'conv/ext_iq_dec.inc'

include 'conv/ext_hex_b.inc'
include 'conv/ext_hex_w.inc'
include 'conv/ext_hex_d.inc'
include 'conv/ext_hex_q.inc'
include 'conv/ext_dec_b.inc'
include 'conv/ext_dec_w.inc'
include 'conv/ext_dec_d.inc'
include 'conv/ext_dec_q.inc'

include 'conv/ext_hex_ib.inc'
include 'conv/ext_hex_iw.inc'
include 'conv/ext_hex_id.inc'
include 'conv/ext_hex_iq.inc'
include 'conv/ext_dec_ib.inc'
include 'conv/ext_dec_iw.inc'
include 'conv/ext_dec_id.inc'
include 'conv/ext_dec_iq.inc'

;internal
include 'conv/_hextable.inc'
include 'conv/_hex2d.inc'
include 'conv/_hex2id.inc'
include 'conv/_dec2d.inc'
include 'conv/_dec2id.inc'