;FASMLIB
;Basic definition macros used by library

;arguments:
; equ   SYSTEM          win32 or linux

;contains:
; equ   FASMLIB_VERSION_STRING   "x.y.z"
; equ   FASMLIB_VERSION_MAJOR    x
; equ   FASMLIB_VERSION_MINOR    y
; equ   FASMLIB_VERSION_REVISION z
; macro idata
; macro udata
; macro IncludeIData
; macro IncludeUData
; macro IncludeAllData
; macro gettimedate
; macro ifndef          expr*
; macro libcall         proc*,[arg]
; macro jmp taken       dest
; macro jmp untaken     dest


;check operating system
match =SYSTEM,SYSTEM {include "you have to define operating system: SYSTEM equ win32 or SYSTEM equ linux"}

;include parts
include 'fasmlib/version.inc'
include 'fasmlib/data.inc'
include 'fasmlib/jcc.inc'
include 'fasmlib/ifndef.inc'
include 'fasmlib/display.inc'
include 'fasmlib/timedate.inc'
include 'fasmlib/proc.inc'
include 'fasmlib/init.inc'
include 'fasmlib/uninit.inc'
include 'fasmlib/shutdown.inc'

;include system dependant part
match os,SYSTEM {
  include '_'#`os#'/fasmlib.inc'
}

;by vid
