;==============================================
;jcc taken, jcc untaken
;desc: conditional jumps with branch hints
;note: words "taken" and "untaken" must be lowcase
irp jcc, jc, jnc, jp, jnp, je, jz, ja, jb, jae, jbe, jg, jl, jge,\
	 jle, jne, jnz, jna, jnb, jnae, jnbe, jng, jnl, jnge, jnle,\
	 jo, jno
{
  macro jcc arg
  \{
    is_plain equ 1
    match =untaken dest, arg
    \\{
      cs jcc dest
      restore is_plain
      is_plain equ 0
    \\}
    match =taken dest, arg
    \\{
      ds jcc dest
      restore is_plain
      is_plain equ 0
    \\}
    match =1, is_plain \{
       jcc arg
    \\}
    restore is_plain
  \}
}