;FASMLIB
;this file provides functions "stdin.", "stdout." and "stderr."
;they are just call wrappers to "text." function, with one of streams

;include platform-specific part
match os,SYSTEM {
  include '_'#`os#'/stdstream.inc'
}

;stdin helpers
include 'stdstream/stdin/extread_chars.inc'
include 'stdstream/stdin/extread_dec.inc'
include 'stdstream/stdin/extread_dec_b.inc'
include 'stdstream/stdin/extread_dec_w.inc'
include 'stdstream/stdin/extread_dec_d.inc'
include 'stdstream/stdin/extread_dec_q.inc'
include 'stdstream/stdin/extread_idec.inc'
include 'stdstream/stdin/extread_dec_ib.inc'
include 'stdstream/stdin/extread_dec_iw.inc'
include 'stdstream/stdin/extread_dec_id.inc'
include 'stdstream/stdin/extread_dec_iq.inc'
include 'stdstream/stdin/extread_hex.inc'
include 'stdstream/stdin/extread_hex_b.inc'
include 'stdstream/stdin/extread_hex_w.inc'
include 'stdstream/stdin/extread_hex_d.inc'
include 'stdstream/stdin/extread_hex_q.inc'
include 'stdstream/stdin/extread_ihex.inc'
include 'stdstream/stdin/extread_hex_ib.inc'
include 'stdstream/stdin/extread_hex_iw.inc'
include 'stdstream/stdin/extread_hex_id.inc'
include 'stdstream/stdin/extread_hex_iq.inc'
include 'stdstream/stdin/extread_line.inc'
include 'stdstream/stdin/extread_until.inc'
include 'stdstream/stdin/extskip_until.inc'
include 'stdstream/stdin/extskip_chars.inc'
include 'stdstream/stdin/fetch.inc'
include 'stdstream/stdin/fetch_char.inc'
include 'stdstream/stdin/fetch_str.inc'
include 'stdstream/stdin/read_char.inc'
include 'stdstream/stdin/read_chars.inc'
include 'stdstream/stdin/read_dec.inc'
include 'stdstream/stdin/read_dec_b.inc'
include 'stdstream/stdin/read_dec_w.inc'
include 'stdstream/stdin/read_dec_d.inc'
include 'stdstream/stdin/read_dec_q.inc'
include 'stdstream/stdin/read_idec.inc'
include 'stdstream/stdin/read_dec_ib.inc'
include 'stdstream/stdin/read_dec_iw.inc'
include 'stdstream/stdin/read_dec_id.inc'
include 'stdstream/stdin/read_dec_iq.inc'
include 'stdstream/stdin/read_hex.inc'
include 'stdstream/stdin/read_hex_b.inc'
include 'stdstream/stdin/read_hex_w.inc'
include 'stdstream/stdin/read_hex_d.inc'
include 'stdstream/stdin/read_hex_q.inc'
include 'stdstream/stdin/read_ihex.inc'
include 'stdstream/stdin/read_hex_ib.inc'
include 'stdstream/stdin/read_hex_iw.inc'
include 'stdstream/stdin/read_hex_id.inc'
include 'stdstream/stdin/read_hex_iq.inc'
include 'stdstream/stdin/read_line.inc'
include 'stdstream/stdin/read_until.inc'
include 'stdstream/stdin/skip_chars.inc'
include 'stdstream/stdin/skip_until.inc'

;stdout helpers
include 'stdstream/stdout/write.inc'
include 'stdstream/stdout/write_char.inc'
include 'stdstream/stdout/write_str.inc'
include 'stdstream/stdout/write_format.inc'
include 'stdstream/stdout/write_hex.inc'
include 'stdstream/stdout/write_b_hex.inc'
include 'stdstream/stdout/write_w_hex.inc'
include 'stdstream/stdout/write_d_hex.inc'
include 'stdstream/stdout/write_q_hex.inc'
include 'stdstream/stdout/write_dec.inc'
include 'stdstream/stdout/write_b_dec.inc'
include 'stdstream/stdout/write_w_dec.inc'
include 'stdstream/stdout/write_d_dec.inc'
include 'stdstream/stdout/write_q_dec.inc'
include 'stdstream/stdout/write_ihex.inc'
include 'stdstream/stdout/write_ib_hex.inc'
include 'stdstream/stdout/write_iw_hex.inc'
include 'stdstream/stdout/write_id_hex.inc'
include 'stdstream/stdout/write_iq_hex.inc'
include 'stdstream/stdout/write_idec.inc'
include 'stdstream/stdout/write_ib_dec.inc'
include 'stdstream/stdout/write_iw_dec.inc'
include 'stdstream/stdout/write_id_dec.inc'
include 'stdstream/stdout/write_iq_dec.inc'
include 'stdstream/stdout/extwrite_hex.inc'
include 'stdstream/stdout/extwrite_b_hex.inc'
include 'stdstream/stdout/extwrite_w_hex.inc'
include 'stdstream/stdout/extwrite_d_hex.inc'
include 'stdstream/stdout/extwrite_q_hex.inc'
include 'stdstream/stdout/extwrite_dec.inc'
include 'stdstream/stdout/extwrite_b_dec.inc'
include 'stdstream/stdout/extwrite_w_dec.inc'
include 'stdstream/stdout/extwrite_d_dec.inc'
include 'stdstream/stdout/extwrite_q_dec.inc'
include 'stdstream/stdout/extwrite_ihex.inc'
include 'stdstream/stdout/extwrite_ib_hex.inc'
include 'stdstream/stdout/extwrite_iw_hex.inc'
include 'stdstream/stdout/extwrite_id_hex.inc'
include 'stdstream/stdout/extwrite_iq_hex.inc'
include 'stdstream/stdout/extwrite_idec.inc'
include 'stdstream/stdout/extwrite_ib_dec.inc'
include 'stdstream/stdout/extwrite_iw_dec.inc'
include 'stdstream/stdout/extwrite_id_dec.inc'
include 'stdstream/stdout/extwrite_iq_dec.inc'

;stderr helpers
include 'stdstream/stderr/write.inc'
include 'stdstream/stderr/write_char.inc'
include 'stdstream/stderr/write_str.inc'
include 'stdstream/stderr/write_format.inc'
include 'stdstream/stderr/write_hex.inc'
include 'stdstream/stderr/write_b_hex.inc'
include 'stdstream/stderr/write_w_hex.inc'
include 'stdstream/stderr/write_d_hex.inc'
include 'stdstream/stderr/write_q_hex.inc'
include 'stdstream/stderr/write_dec.inc'
include 'stdstream/stderr/write_b_dec.inc'
include 'stdstream/stderr/write_w_dec.inc'
include 'stdstream/stderr/write_d_dec.inc'
include 'stdstream/stderr/write_q_dec.inc'
include 'stdstream/stderr/write_ihex.inc'
include 'stdstream/stderr/write_ib_hex.inc'
include 'stdstream/stderr/write_iw_hex.inc'
include 'stdstream/stderr/write_id_hex.inc'
include 'stdstream/stderr/write_iq_hex.inc'
include 'stdstream/stderr/write_idec.inc'
include 'stdstream/stderr/write_ib_dec.inc'
include 'stdstream/stderr/write_iw_dec.inc'
include 'stdstream/stderr/write_id_dec.inc'
include 'stdstream/stderr/write_iq_dec.inc'
include 'stdstream/stderr/extwrite_hex.inc'
include 'stdstream/stderr/extwrite_b_hex.inc'
include 'stdstream/stderr/extwrite_w_hex.inc'
include 'stdstream/stderr/extwrite_d_hex.inc'
include 'stdstream/stderr/extwrite_q_hex.inc'
include 'stdstream/stderr/extwrite_dec.inc'
include 'stdstream/stderr/extwrite_b_dec.inc'
include 'stdstream/stderr/extwrite_w_dec.inc'
include 'stdstream/stderr/extwrite_d_dec.inc'
include 'stdstream/stderr/extwrite_q_dec.inc'
include 'stdstream/stderr/extwrite_ihex.inc'
include 'stdstream/stderr/extwrite_ib_hex.inc'
include 'stdstream/stderr/extwrite_iw_hex.inc'
include 'stdstream/stderr/extwrite_id_hex.inc'
include 'stdstream/stderr/extwrite_iq_hex.inc'
include 'stdstream/stderr/extwrite_idec.inc'
include 'stdstream/stderr/extwrite_ib_dec.inc'
include 'stdstream/stderr/extwrite_iw_dec.inc'
include 'stdstream/stderr/extwrite_id_dec.inc'
include 'stdstream/stderr/extwrite_iq_dec.inc'
